#include <iostream>
#include "jointStateMapper.hpp"

int main(int argc, char **argv) {
  if(argc != 4){
    std::cout << "Wrong number of args :" << std::endl;
    std::cout << "Usage : jointStateMapper Physical_jointMap_file_name Simulation_jointMap_file_name Mapping_file_name" << std::endl;
    return 1;
  }
  JointStateMapper jsm(argv[1], argv[2], argv[3]);
  std::cout << "physical " << jsm.getPhysicalJointId("right-Arm7") << std::endl;
  std::cout << "simulation " << jsm.getSimulationJointId("l_wrist_flex_joint") << std::endl;
  return 0;
}
